package com.yn.bftl.thirdparty.modules.umeng.abstracts.ios;

/**
 * IOS单播
 *
 * @author huabiao
 * @create 2023/12/5  16:22
 **/
public class AbstractIosUnicast extends AbstractIosNotificationAbstract {

    /**
     * IOS单播-初始化
     *
     * @param appKey          应用key
     * @param appMasterSecret 应用密钥
     * @return IOSUnicast
     * @author huabiao
     * @create 2023/12/6  10:33
     */
    public AbstractIosUnicast(String appKey, String appMasterSecret) throws Exception {
        setAppMasterSecret(appMasterSecret);
        setPredefinedKeyValue("appkey", appKey);
        this.setPredefinedKeyValue("type", "unicast");
    }

    /**
     * IOS单播-设置设备令牌
     *
     * @param token 设备令牌
     * @author huabiao
     * @create 2023/12/6  10:31
     */
    public void setDeviceToken(String token) throws Exception {
        setPredefinedKeyValue("device_tokens", token);
    }
}
